# Standalone WebApp for Clearing Sensitive Data from Text

This is a standalone web application designed to clear sensitive data from text. It's an essential tool for anyone working with AI, as it helps to ensure that the data used for training, testing and communicating is free of any sensitive or personally identifiable information.

## Features

- Clear sensitive data from text: The application provides a simple and intuitive interface for clearing sensitive data from any text input.
- Auto copy to clipboard: The cleared text is automatically copied to the clipboard for easy use.
- Customizable filters: The application comes with a set of predefined filters for common types of sensitive data, and users can enable or disable these filters as needed.
- **NEW**: Multiline to Singleline: Convert multiline text to singleline text with a single click.

## Compatibility

The application is built with Neutralinojs, a lightweight and portable framework that allows it to run on any operating system. Whether you're using Windows, macOS, or Linux, you can use this application to clear sensitive data from your text.

## Getting Started

To get started with this application, simply download the latest release from the repository and run the executable file. The application will open in its own window, and you can start clearing sensitive data from your text right away.

### Steps
1. Download the correct executable for your operating system AND `resources.neu` from the latest release build
2. Put the two files in the same directory on your system
3. Run the executable file
4. Start clearing sensitive data from your text

## License

This project is licensed under the MIT License. See the `LICENSE` file for more details.

## Credits

- Bootstrap - The CSS framework used for styling the application. [Bootstrap GitHub](https://github.com/twbs/bootstrap)
- jQuery - The fast, small, and feature-rich JavaScript library used in the project. [jQuery GitHub](https://github.com/jquery/jquery)
- animate.css - A cross-browser library of CSS animations. [animate.css GitHub](https://github.com/animate-css/animate.css)
- NeutralinoJS - The lightweight and portable framework used to build this application. [NeutralinoJS GitHub](https://github.com/neutralinojs/neutralinojs)
- Bootstrap icons - Used for the icons in the application. [Bootstrap icons GitHub](https://github.com/twbs/icons)
- DALL-E3 by OpenAI - Used for generating all visible images/graphics. [DALL-E3 GitHub](https://github.com/openai/DALL-E)

### Dev notes

Init dev env
1. run `neu update`
2. run `neu build`
3. run `neu run`